Recommend Command Line Tools for XCode #16

Closed
croaky opened this Issue Dec 18, 2011 · 6 comments

Comments

Projects
None yet
4 participants
Contributor

croaky commented Dec 18, 2011

We currently recommend in the script that people install GCC via GCC installer. However, some people might also have XCode installed. I found this note in the Ruby 1.9.3 release notes:

You have to configure ruby with '--with-gcc=gcc-4.2' if you're using
Xcode 4.1, or, if you're using Xcode 4.2, you have to configure ruby
with '--with-gcc=clang'

Should we be taking any kind of action here?

Owner

jferris commented Dec 22, 2011

I'm not sure, but I think it will work fine if they're using gcc-installer.
I think the configuration options are necessary if LLVM is installed
instead of GCC. The only way to know is to try it out, though.

Owner

mjankowski commented Mar 16, 2012

Recentish article about correctly using Xcode 4.3, homebrew, rvm, etc together -- http://jfire.io/blog/2012/03/02/xcode-4-dot-3-homebrew-and-ruby/

I haven't tried this yet, but it seems promising based on my recent ordeal w/ an Xcode upgrade.

Contributor

croaky commented Mar 16, 2012

I think we should be now using the new Apple-approved Command Line Tools for XCode instead of full XCodes:

http://kennethreitz.com/xcode-gcc-and-homebrew.html

On Mar 16, 2012, at 3:08 PM, Matt Jankowskireply@reply.github.com wrote:

Recentish article about correctly using Xcode 4.3, homebrew, rvm, etc together -- http://jfire.io/blog/2012/03/02/xcode-4-dot-3-homebrew-and-ruby/

I haven't tried this yet, but it seems promising based on my recent ordeal w/ an Xcode upgrade.


Reply to this email directly or view it on GitHub:
#16 (comment)

Contributor

croaky commented Mar 28, 2012

Done.

@croaky croaky closed this Mar 28, 2012

I could not find Command line tools for Xcode on OSX 10.6.8, if I install the standard Xcode for 10.6.8 will that work?

Contributor

croaky commented Apr 2, 2012

@yoshie902a You should use OS X GCC Installer. I just added some clarification:

2d6cef6

karuna referenced this issue in karuna/laptop Aug 2, 2012

ktheory added a commit to ktheory/laptop that referenced this issue Jul 14, 2017

Merge pull request #16 from kickstarter/java
Add java cask to Brewfile
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment